document.querySelector('.btn-info-compte').addEventListener('click', function(event) {
    event.preventDefault();

    const contentContainer = document.getElementById('container-gestion-user');

    // Vérifie si le contenu est déjà affiché
    if (container_gestion_user.style.display === 'block') {
        // Masquer la section "Compte" si elle est déjà affichée
        container_gestion_user.style.display = 'none';
        container_gestion_user.innerHTML = ''; // On efface le contenu pour éviter la réutilisation
    } else {
        // Afficher le conteneur et charger le contenu via AJAX
        fetch('/gestion-user')
            .then(response => {
                if (!response.ok) {
                    throw new Error('Erreur de chargement de la section Compte');
                }
                return response.text();
            })
            .then(html => {
                // Insérer le HTML dans le conteneur et l'afficher
                container_gestion_user.innerHTML = html;
                container_gestion_user.style.display = 'block';
            })
            .catch(error => {
                console.error('Erreur:', error);
            });
    }
});